Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002194TestLinkTest Plan (builds, milestones, test assign)public2009-03-04 17:182009-04-05 00:42
Reporternaiara_trueba 
Assigned Toschlundus 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8 RC 5 
Fixed in Version1.8.0 
Summary0002194: Error when assigning test case execution
DescriptionIn the "Assign test case execution" window, displaying the combo box and selecting a user to assign causes a runtime error:
"line 187, "null" is not null or is not an object" (see image).
Additional InformationWhen debugging the error, debugger opens file "gui/javascript/checkboxes.js" and stops inside the following function, in the last line

function set_checkbox(oid,value_to_assign)
{
  var cb=document.getElementById(oid);
    cb.checked=value_to_assign; //<<--- here stops the debugger
}
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Filesjpg file icon error_assigning.JPG [^] (9,606 bytes) 2009-03-04 17:18

- Relationships

-  Notes
(0005728)
amitkhullar (reporter)
2009-03-04 18:15

Can you please try testing the same using Firefox , just to check if its not an IE issue.

Amit
(0005733)
naiara_trueba (reporter)
2009-03-04 18:45

Tried with Firefox and got no errors.
It's definitely an IE issue.
Thanks.
(0005743)
schlundus (reporter)
2009-03-05 03:54

Not a IE problem, it's wrong JS Code!

- Issue History
Date Modified Username Field Change
2009-03-04 17:18 naiara_trueba New Issue
2009-03-04 17:18 naiara_trueba File Added: error_assigning.JPG
2009-03-04 18:15 amitkhullar Note Added: 0005728
2009-03-04 18:45 naiara_trueba Note Added: 0005733
2009-03-04 23:40 schlundus Status new => assigned
2009-03-04 23:40 schlundus Assigned To => schlundus
2009-03-05 03:54 schlundus Status assigned => resolved
2009-03-05 03:54 schlundus Fixed in Version => 1.8.0
2009-03-05 03:54 schlundus Resolution open => fixed
2009-03-05 03:54 schlundus Note Added: 0005743
2009-04-05 00:42 mhavlat Status resolved => closed



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker